# Open MCT Documentation

## Overview

 Documentation is provided to support the use and development of
 Open MCT. It's recommended that before doing
 any development with Open MCT you take some time to familiarize yourself
 with the documentation below.

 Open MCT provides functionality out of the box, but it's also a platform for
 building rich mission operations applications based on modern web technology. 
 The platform is configured by plugins which extend the platform at a variety
 of extension points. The details of how to
 extend the platform are provided in the following documentation.

## Sections
 
 * The [API](api/) document is generated from inline documentation 
 using [JSDoc](http://usejsdoc.org/), and describes the JavaScript objects and
 functions that make up the software platform.

 * The [Development Process](process/) document describes the
 Open MCT software development cycle.

 * The [Tutorials](https://github.com/nasa/openmct-tutorial) give examples of extending the platform to add
 functionality, and integrate with data sources.
